import 'package:ambito/src/domain/entity/id_value_color/id_value_color.dart';
import 'package:isar/isar.dart';
import 'package:json_annotation/json_annotation.dart';

part 'id_value_mix.g.dart';

@JsonSerializable(explicitToJson: true)
@embedded
class IdValueMix {
  IdValueMix();

  int? id;
  IdValueColor? value;

  factory IdValueMix.fromJson(Map<String, dynamic> json) =>
      _$IdValueMixFromJson(json);

  Map<String, dynamic> toJson() => _$IdValueMixToJson(this);
}
